Aktualizacja systemu - błędny klucz


(rpm) #1

Czołem, nie mogę wykonać aktualizacji ponieważ klucz jest przestarzały i nie można go zaimportować.

Rozpoczynanie pełnej aktualizacji systemu...
rozwiązywanie zależności...
szukanie konfliktów międzypakietowych...

Pakiety (2): openresolv-3.5.7-1  reflector-2014.8-1

Całkowity rozmiar po instalacji:  0,13 MiB
Rozmiar aktualizacji sieciowej:    0,00 MiB

:: Kontynuować instalację? [T/n]
(2/2) sprawdzanie kluczy w zestawie kluczy         [-----------------] 100%
pobieranie wymaganych kluczy...
:: Zaimportować klucz PGP 4096R/, "Xyne. (key #3) <xyne@archlinux.ca>", utworzony: 2013-09-15? [T/n] n
błąd:  brak wymaganego klucza w pęku kluczy
błąd:  nie udało się dokonać transakcji (niespodziewany błąd)
Wystąpiły błędy, nie zaktualizowano żadnego pakietu.

Nie znalazłem rozwiązania w sieci, a wyłączenie go w /etc/pacman.conf raczej nie jest dobrym rozwiązaniem i bepiecznym > SigLevel = Optional TrustAll. Wykonał bym to normalnie sudo pacman-key -r //5C0102A6 jakiś klucz


(dragonn) #2

Ee, a dlaczego nie odpowiesz na pytanie pacmana z T (jako tak)?


(rpm) #3
openresolv-3.5.7-1  reflector-2014.8-1

Całkowity rozmiar po instalacji:  0,13 MiB
Rozmiar aktualizacji sieciowej:    0,00 MiB

:: Kontynuować instalację? [T/n] T
(2/2) sprawdzanie kluczy w zestawie kluczy         [-----------------] 100%
pobieranie wymaganych kluczy...
:: Zaimportować klucz PGP 4096R/, "Xyne. (key #3) <xyne@archlinux.ca>", utworzony: 2013-09-15? [T/n] T
błąd:  key "Xyne. (key #3) <xyne@archlinux.ca>" could not be imported
błąd:  brak wymaganego klucza w pęku kluczy
błąd:  nie udało się dokonać transakcji (niespodziewany błąd)
Wystąpiły błędy, nie zaktualizowano żadnego pakietu.

Sprawdzałem i tę opcje, chyba bym nie pisał jak by to pomogło. Tylko jakiego tego klucza wymaga, nie jestem jasnowidzem?

Jednak już działa, poprawili i aktualizacja ruszyła.